io.vertx.ext.web.api.validation

## Enum ContainerSerializationStyle

- java.lang.Object
- - java.lang.Enum<ContainerSerializationStyle>
  - - io.vertx.ext.web.api.validation.ContainerSerializationStyle

- All Implemented Interfaces:
    Serializable, Comparable<ContainerSerializationStyle>

  Deprecated.
  You should use the new module vertx-web-openapi

      @Deprecated
      public enum ContainerSerializationStyle
      extends Enum<ContainerSerializationStyle>

  This enum contains supported object and arrays serialization styles. Every style has a enum value, and an array of strings to refeer to it.
  Author:
    Francesco Guardiani @slinkydeveloper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `csv` Deprecated. Comma separated values: "value1,value2,value3" aliases: "csv", "commaDelimited", "form", "simple"
    `dsv` Deprecated. Dot delimited values: "value1.value2.value3" aliases: "dsv", "dotDelimited", "label"
    `matrix_exploded_array` Deprecated. For internal usage, don't use it
    `psv` Deprecated. Pipe separated values: "value1|value2|value3" aliases: "psv", "pipeDelimited"
    `simple_exploded_object` Deprecated. For internal usage, don't use it
    `ssv` Deprecated. Space separated values: "value1 value2 value3" aliases: "ssv", "spaceDelimited"

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContainerDeserializer` | `deserializer()` Deprecated.
    `static ContainerSerializationStyle` | `getContainerStyle(String s)` Deprecated.
    `List<String>` | `names()` Deprecated.
    `static ContainerSerializationStyle` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static ContainerSerializationStyle[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### csv

          public static final ContainerSerializationStyle csv

      Deprecated.
      Comma separated values: "value1,value2,value3" aliases: "csv", "commaDelimited", "form", "simple"

    - #### ssv

          public static final ContainerSerializationStyle ssv

      Deprecated.
      Space separated values: "value1 value2 value3" aliases: "ssv", "spaceDelimited"

    - #### psv

          public static final ContainerSerializationStyle psv

      Deprecated.
      Pipe separated values: "value1|value2|value3" aliases: "psv", "pipeDelimited"

    - #### dsv

          public static final ContainerSerializationStyle dsv

      Deprecated.
      Dot delimited values: "value1.value2.value3" aliases: "dsv", "dotDelimited", "label"

    - #### simple_exploded_object

          public static final ContainerSerializationStyle simple_exploded_object

      Deprecated.
      For internal usage, don't use it

    - #### matrix_exploded_array

          public static final ContainerSerializationStyle matrix_exploded_array

      Deprecated.
      For internal usage, don't use it

  - ### Method Detail

    - #### values

          public static ContainerSerializationStyle[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContainerSerializationStyle c : ContainerSerializationStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContainerSerializationStyle valueOf(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### deserializer

          public ContainerDeserializer deserializer()

      Deprecated.

    - #### names

          public List<String> names()

      Deprecated.

    - #### getContainerStyle

          public static ContainerSerializationStyle getContainerStyle(String s)

      Deprecated.

Copyright © 2022 Eclipse. All rights reserved.